# Method: drives.unhide

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/unhide#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/unhide#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/unhide#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/unhide#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/unhide#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/unhide#try-it)

Restores a shared drive to the default view.

### HTTP request

`POST https://www.googleapis.com/drive/v2/drives/{driveId}/unhide`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `driveId` | `string` The ID of the shared drive. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/drives#Drive`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/drive`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).